Sep 24 2015

PHP Memcache extension versions and compression

Prior to version 3.0.3 of the PHP memcache extension, compression is not enabled by default. This is okay when storing large objects from version 3.0.0 onwards as one gets a PHP notice SERVER_ERROR object too large for cache. Before this version however, it's trickier to figure out what's going on. Boolean false is returned from the save when it does fail before 3.0.0 which is something.

To disable compression in memcache in versions 3.0.0 of the extension and above, set memcache.compress_threshold to 0.

See the memcache extension changelog.

Info

I'm Ade Slade, a PHP web developer.